## konversation-trinity 14.0.4

=== CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( konversation )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckLibraryExists )
# @Add othere required cmake modules here@
#
# EXAMPLE:
# include( CheckTypeSize )
# include( CheckCSourceCompiles )
include( CheckCXXSourceCompiles )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_XSCREENSAVER "Enable xscreensaver support" ${WITH_ALL_OPTIONS} )
# set WITH_XSCREENSAVER to use XScreensaver for auto-away feature


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_KONVERSATION "Build konversation" ${BUILD_ALL} )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )


##### konversation directories ##################

tde_conditional_add_subdirectory( BUILD_KONVERSATION konversation )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== po/ar/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translation( LANG ar )

=== po/bg/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translation( LANG bg )

=== po/ca/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translation( LANG ca )

=== po/da/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translation( LANG da )

=== po/de/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translation( LANG de )

=== po/el/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translation( LANG el )

=== po/en_GB/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translation( LANG en_GB )

=== po/es/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translation( LANG es )

=== po/et/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translation( LANG et )

=== po/fi/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translation( LANG fi )

=== po/fr/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translation( LANG fr )

## konversation-trinity 3.5.13.2

=== debian/changelog ===
konversation-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 19:11:34 +0200

konversation-trinity (1.1-0ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

konversation-trinity (1.1-0ubuntu2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 06 March 2009 01:35:00 -0600

konversation-trinity (1.1-0ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 14 Dec 2008 14:31:00 -0600

konversation (1.1-0ubuntu2.1) intrepid-proposed; urgency=low

  * Reapply kubuntu_05_default_channels.diff dropped in 1.0.1-6ubuntu1.
  * Removed 10_debian_channel.diff added in 1.0.1-6ubuntu1.
  * Re-add missing changelog entries that went into a black hole.
  * Debian people now go to #kubuntu, not #debian again (LP: #218958), 
    even without kubuntu-default-settings installed.
  * This merge should now be correct.

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Tue, 04 Nov 2008 13:53:43 +1100

konversation (1.1-0ubuntu2) intrepid; urgency=low

  * Run buildprep before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 21 Aug 2008 10:08:33 +0100

konversation (1.1-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #256733)
  * Bump Standards-Version up to 3.8.0
  * Added po/*/konversation.gmo to the build clean target

 -- Jonathan Thomas (The man) <echidnaman@gmail.com>  Sun, 10 Aug 2008 17:19:20 -0400

konversation (1.0.1-6ubuntu1) intrepid; urgency=low

  * Merge with Debian, remaining change just the .orig md5sum, closes LP: #226180

 -- Richard Birnie <Arbyuk@googlemail.com>  Wed, 07 May 2008 13:46:21 +0100

konversation (1.0.1-6) unstable; urgency=low

  [ Modestas Vainius ]
  * Move Homepage stanza to debian/control source section.
  * Bump Standards-Version to 3.7.3.0
  * Add DM-Upload-Allowed: yes to debian/control source section.
  * Enhance 16_konversation_desktop.diff patch - remove Encoding field from
    konversation.desktop too.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 04 Mar 2008 18:40:56 +0200

konversation (1.0.1-5) unstable; urgency=low

  [ Modestas Vainius ]
  * Drop hackish docs removal stuff from debian/rules. There is a less
    hackish way to achieve the same thing (i.e. not to installing upstrem
    README) which should not cause problems with dash as /bin/sh
    (Closes: #459159).
  * New patches from 1.0.1-4ubuntu2:
    * Add unfuzzed kubuntu_02_serverlist_compiz_workaround.patch as
      17_serverlist_compiz_workaround.diff. The patch comes from
      upstream r604746  (KDE Bug #147557).
    * I'm adding back kubuntu_01_kdepot.diff because it does not hurt and now
      I understand how it helps for Ubuntu.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Mon, 21 Jan 2008 12:22:36 +0200

konversation (1.0.1-4ubuntu6) hardy; urgency=low

  * Edit 10_debian_channel.diff, renamed to
    kubuntu_05_default_channels.diff, to default to #kubuntu.  
    (LP: #218958)
  * Add this, and previous patch, to debian/patches/series, so they actually
    apply

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Fri, 18 Apr 2008 16:16:47 +1000

konversation (1.0.1-4ubuntu5) hardy; urgency=low

  * Added kubuntu_04_dcc_crash.diff to prevent Konversation from crashing
    when a DCC Chat request is sent. (LP: #60898)
  * Fixed in KDE SVN r605705

 -- Guillaume Martres <smarter@ubuntu.com>  Sat, 12 Apr 2008 23:47:08 +0200

konversation (1.0.1-4ubuntu4) hardy; urgency=low

  * Fixed kubuntu_03_osd_kde4.diff
    - Closes LP: #209368

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 08 Apr 2008 15:36:00 +0200

konversation (1.0.1-4ubuntu3) hardy; urgency=low

  * Added kubuntu_03_osd_kde4.diff, fixes OSD issue on the KDE4 desktop.
    Patch from svn.

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 11 Mar 2008 15:40:59 +0100

konversation (1.0.1-4ubuntu2) gutsy; urgency=low

  * Add kubuntu_02_serverlist_compiz_workaround.patch from upstream.
    (KDE Bug #147557)
  * Removed 98_buildprep.diff as we dont tend to use these in ubuntu.
    Fixes FTBFS
  * Added build-dep automake1.9 to fix FTBFS

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 15 Oct 2007 22:08:45 +1000

konversation (1.0.1-4ubuntu1) gutsy; urgency=low

  * Merge with Debian for CVE patch, remaining change:
    - kubuntu_01_kdepot.diff patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 30 Aug 2007 11:17:04 +0100

konversation (1.0.1-4) unstable; urgency=low

  [ Modestas Vainius ]
  * Add new patches:
    - 15_CVE-2007-4400.diff to fix CVE-2007-4400 vulnerability.
    The patch is based on upstream SVN commits #602433 and #602435
    (Closes: #439837).
    - 16_konversation_desktop.diff to remove X-SuSE-IRCClient from
      konversation.desktop Categories to shut lintian up.
  * Change Debian menu section to Applications/Network/Communication.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Thu, 30 Aug 2007 12:07:06 +0300

konversation (1.0.1-3ubuntu1) gutsy; urgency=low

  [ Jonathan Riddell ]
  * Drop channel patch, default channel is changed in kubuntu-default-settings
    and it can fall back to freenode if that's not installed

  [ Frode M. Døving ]
  * Mergeing from Debian. See changelog entries below.
    A big thank you goes to the Debian KDE Extras Team, you rock!
  * Remaining change: kubuntu_01_kdepot.diff
  * Change maintainer address to ubuntu-core-dev.

 -- Frode M. Døving <frode@ubuntu.com>  Wed, 25 Jul 2007 22:25:27 +0200

konversation (1.0.1-3) unstable; urgency=low

  [ Modestas Vainius ]
  * Documentation is provided under the terms of GNU GFDL with no Invariant
    Sections, no Front-Cover Texts, and no Back-Cover Texts. Mention this
    in debian/copyright.


=== debian/control ===
Source: konversation-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modestas@vainius.eu>
Build-Depends: debhelper (>= 5.0), cdbs (>= 0.4.27-3), kdelibs4-trinity-dev, xsltproc, docbook-xsl, libxi-dev, quilt (>= 0.40), automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Homepage: http://konversation.kde.org/

Package: konversation-trinity
Architecture: any
Depends: ${shlibs:Depends}
Recommends: python, ruby
Suggests: libsoap-lite-perl
Description: user friendly Internet Relay Chat (IRC) client for KDE [Trinity]
 Konversation is a client for the Internet Relay Chat (IRC) protocol.
 It is easy to use and well-suited for novice IRC users, but novice
 and experienced users alike will appreciate its many features:
 .
       * Standard IRC features
       * Easy to use graphical interface
       * Multiple server and channel tabs in a single window
       * IRC color support
       * Pattern-based message highlighting and OnScreen Display
       * Multiple identities for different servers
       * Multi-language scripting support (with DCOP)
       * Customizable command aliases
       * NickServ-aware log-on (for registered nicknames)
       * Smart logging
       * Traditional or enhanced-shell-style nick completion
       * DCC file transfer with resume support

Package: konversation-trinity-dbg
Architecture: any
Priority: extra
Depends: konversation-trinity (= ${binary:Version})
Recommends: kdelibs-trinity-dbg
Description: debugging symbols for konversation
 This package contains the debugging symbols associated with konversation.
 They will automatically be used by gdb for debugging konversation-related
 issues.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_STRIP_ARGS := --dbg-package=konversation-trinity-dbg
DEB_INSTALL_DOCS_ALL = 
DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/kde

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

### Manpages
XP = xsltproc --nonet --output debian/man/
DB2MAN = /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl

%.1 : %.1.docbook
	$(XP) $(DB2MAN) $<

GENERATED_MANPAGES := $(patsubst %.docbook,%,$(wildcard debian/man/*.docbook))
build/konversation:: $(GENERATED_MANPAGES)
clean::
	-rm -f $(GENERATED_MANPAGES)
	-rm -f po/*/konversation.gmo

### Extra file installation
install/konversation-trinity::
	install -D -m 644 konversation/scripts/README \
	  debian/konversation-trinity/opt/trinity/share/doc/konversation/README.scripts

## konversation-trinity 14.0.4

=== debian/changelog ===
konversation-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:38:35 +0200

## konversation-trinity 14.0.5

=== debian/changelog ===
konversation-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:10:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: konversation-trinity
-Section: kde
+Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modestas@vainius.eu>
-Build-Depends: debhelper (>= 5.0), cdbs (>= 0.4.27-3), kdelibs4-trinity-dev, xsltproc, docbook-xsl, libxi-dev, quilt (>= 0.40), automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), cdbs (>= 0.4.27-3), cmake, tdelibs14-trinity-dev, xsltproc, docbook-xsl, docbook-xml, libxi-dev, quilt (>= 0.40), automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 DM-Upload-Allowed: yes
 Homepage: http://konversation.kde.org/
@@ -12,9 +12,11 @@
 Package: konversation-trinity
 Architecture: any
 Depends: ${shlibs:Depends}
+Replaces: konversation-kde3 (<< 4:14.0.0~), konversation-trinity (<< 4:14.0.0~)
+Breaks: konversation-kde3 (<< 4:14.0.0~), konversation-trinity (<< 4:14.0.0~)
 Recommends: python, ruby
 Suggests: libsoap-lite-perl
-Description: user friendly Internet Relay Chat (IRC) client for KDE [Trinity]
+Description: user friendly Internet Relay Chat (IRC) client for TDE [Trinity]
  Konversation is a client for the Internet Relay Chat (IRC) protocol.
  It is easy to use and well-suited for novice IRC users, but novice
  and experienced users alike will appreciate its many features:
@@ -35,8 +37,10 @@
 Package: konversation-trinity-dbg
 Architecture: any
 Priority: extra
+Replaces: konversation-kde3-dbg (<< 4:14.0.0~), konversation-trinity-dbg (<< 4:14.0.0~)
+Breaks: konversation-kde3-dbg (<< 4:14.0.0~), konversation-trinity-dbg (<< 4:14.0.0~)
 Depends: konversation-trinity (= ${binary:Version})
-Recommends: kdelibs-trinity-dbg
+Recommends: tdelibs-trinity-dbg
 Description: debugging symbols for konversation
  This package contains the debugging symbols associated with konversation.
  They will automatically be used by gdb for debugging konversation-related

## konversation-trinity 14.0.6

=== debian/changelog ===
konversation-trinity (4:14.0.6-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 10 Mar 2019 04:07:27 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
 Package: konversation-trinity
 Architecture: any
 Depends: ${shlibs:Depends}
-Replaces: konversation-kde3 (<< 4:14.0.0~), konversation-trinity (<< 4:14.0.0~)
-Breaks: konversation-kde3 (<< 4:14.0.0~), konversation-trinity (<< 4:14.0.0~)
+Replaces: konversation-trinity (<< 4:14.0.0~)
+Breaks: konversation-trinity (<< 4:14.0.0~)
 Recommends: python, ruby
 Suggests: libsoap-lite-perl
 Description: user friendly Internet Relay Chat (IRC) client for TDE [Trinity]
@@ -37,8 +37,8 @@
 Package: konversation-trinity-dbg
 Architecture: any
 Priority: extra
-Replaces: konversation-kde3-dbg (<< 4:14.0.0~), konversation-trinity-dbg (<< 4:14.0.0~)
-Breaks: konversation-kde3-dbg (<< 4:14.0.0~), konversation-trinity-dbg (<< 4:14.0.0~)
+Replaces: konversation-trinity-dbg (<< 4:14.0.0~)
+Breaks: konversation-trinity-dbg (<< 4:14.0.0~)
 Depends: konversation-trinity (= ${binary:Version})
 Recommends: tdelibs-trinity-dbg
 Description: debugging symbols for konversation

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_STRIP_ARGS := --dbg-package=konversation-trinity-dbg
DEB_INSTALL_DOCS_ALL = 
DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/tde

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON"

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
ifndef _cdbs_class_cmake
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
endif
	touch debian/stamp-bootstrap

### Manpages
XP = xsltproc --nonet --output debian/man/
DB2MAN = /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl

%.1 : %.1.docbook
	$(XP) $(DB2MAN) $<

GENERATED_MANPAGES := $(patsubst %.docbook,%,$(wildcard debian/man/*.docbook))
build/konversation-trinity:: $(GENERATED_MANPAGES)
clean::
	rm -f debian/stamp-bootstrap
	-rm -f $(GENERATED_MANPAGES)
	-rm -f po/*/konversation.gmo

### Extra file installation
install/konversation-trinity::
	install -D -m 644 konversation/scripts/README \
	  debian/konversation-trinity/opt/trinity/share/doc/konversation/README.scripts
	dh_installman debian/man/*.1
	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/

## konversation-trinity 14.0.8

=== debian/changelog ===
konversation-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:51:06 +0200

## konversation-trinity 14.0.9

=== debian/changelog ===
konversation-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:09:45 +0200

## konversation-trinity 14.0.10

=== debian/changelog ===
konversation-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## konversation-trinity 14.0.11

=== debian/changelog ===
konversation-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#konversation

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 08 Jul 2021 00:34:57 +0200

## konversation-trinity 14.0.12

=== debian/changelog ===
konversation-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#konversation

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 23 Apr 2022 23:38:45 +0200

## konversation-trinity 14.0.13

=== debian/changelog ===
konversation-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#konversation

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 25 Sep 2022 09:28:43 +0200

## konversation-trinity 14.1.0

=== debian/changelog ===
konversation-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#konversation

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 09 Apr 2023 21:15:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: konversation-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modestas@vainius.eu>
-Build-Depends: debhelper (>= 7.0.50~), cdbs (>= 0.4.27-3), cmake, tdelibs14-trinity-dev, xsltproc, docbook-xsl, docbook-xml, libxi-dev, quilt (>= 0.40), automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libxi-dev, dh-python
 Standards-Version: 3.8.4
 DM-Upload-Allowed: yes
 Homepage: http://konversation.kde.org/
 
 Package: konversation-trinity
 Architecture: any
-Depends: ${shlibs:Depends}
-Replaces: konversation-trinity (<< 4:14.0.0~)
-Breaks: konversation-trinity (<< 4:14.0.0~)
-Recommends: python, ruby
+Depends: ${shlibs:Depends}, ${python3:Depends}
+Replaces: konversation-kde3 (<< 4:14.0.0~), konversation-trinity (<< 4:14.0.0~)
+Breaks: konversation-kde3 (<< 4:14.0.0~), konversation-trinity (<< 4:14.0.0~)
+Recommends: python3-all, ruby
 Suggests: libsoap-lite-perl
 Description: user friendly Internet Relay Chat (IRC) client for TDE [Trinity]
  Konversation is a client for the Internet Relay Chat (IRC) protocol.
@@ -37,8 +37,8 @@
 Package: konversation-trinity-dbg
 Architecture: any
 Priority: extra
-Replaces: konversation-trinity-dbg (<< 4:14.0.0~)
-Breaks: konversation-trinity-dbg (<< 4:14.0.0~)
+Replaces: konversation-kde3-dbg (<< 4:14.0.0~), konversation-trinity-dbg (<< 4:14.0.0~)
+Breaks: konversation-kde3-dbg (<< 4:14.0.0~), konversation-trinity-dbg (<< 4:14.0.0~)
 Depends: konversation-trinity (= ${binary:Version})
 Recommends: tdelibs-trinity-dbg
 Description: debugging symbols for konversation

## konversation-trinity 14.1.1

=== debian/changelog ===
konversation-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#konversation

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 03 Sep 2023 15:35:14 +0200

## konversation-trinity 14.1.2

=== debian/changelog ===
konversation-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#konversation

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:45 +0200

## konversation-trinity 14.1.3

=== debian/changelog ===
konversation-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#konversation

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 12 May 2024 23:20:57 +0200

## konversation-trinity 14.1.4

=== debian/changelog ===
konversation-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#konversation

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## konversation-trinity 14.1.5~pre1

=== debian/changelog ===
konversation-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 7987e374646e7852667c6400d4455643eb6b3332
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#konversation

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## konversation-trinity 14.1.5

=== konversation/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( src )
add_subdirectory( images )
add_subdirectory( scripts )

=== konversation/scripts/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES fortunes.dat
  DESTINATION
    ${DATA_INSTALL_DIR}/konversation/scripts
)

install( PROGRAMS bug fortune gauge uptime tdeversion cmd sayclip weather sysinfo media mail tinyurl
  DESTINATION
    ${DATA_INSTALL_DIR}/konversation/scripts
)

=== konversation/images/nickicons/alternative/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translated_desktop(
  SOURCE index.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konversation/themes/alternative
)

install( FILES irc_admin.png irc_away.png
  irc_halfop.png irc_normal.png irc_op.png
  irc_owner.png irc_voice.png
  DESTINATION
    ${DATA_INSTALL_DIR}/konversation/themes/alternative
)

=== konversation/images/nickicons/christmas/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translated_desktop(
  SOURCE index.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konversation/themes/christmas
)

install( FILES irc_admin.png irc_away.png
  irc_halfop.png irc_normal.png irc_op.png
  irc_owner.png irc_voice.png
  DESTINATION
    ${DATA_INSTALL_DIR}/konversation/themes/christmas
)

=== konversation/images/nickicons/classic/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translated_desktop(
  SOURCE index.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konversation/themes/classic
)

install( FILES irc_admin.png irc_away.png
  irc_halfop.png irc_normal.png irc_op.png
  irc_owner.png irc_voice.png
  DESTINATION
    ${DATA_INSTALL_DIR}/konversation/themes/classic
)

=== konversation/images/nickicons/default/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translated_desktop(
  SOURCE index.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konversation/themes/default
)

install( FILES irc_admin.png irc_away.png
  irc_halfop.png irc_normal.png irc_op.png
  irc_owner.png irc_voice.png
  DESTINATION
    ${DATA_INSTALL_DIR}/konversation/themes/default
)

=== konversation/images/nickicons/smiling/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translated_desktop(
  SOURCE index.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konversation/themes/smiling
)

install( FILES irc_admin.png irc_away.png
  irc_halfop.png irc_normal.png irc_op.png
  irc_owner.png irc_voice.png
  DESTINATION
    ${DATA_INSTALL_DIR}/konversation/themes/smiling
)

=== debian/changelog ===
konversation-trinity (4:14.1.5-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#konversation

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modestas@vainius.eu>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libxi-dev, dh-python
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libxi-dev, dh-python
 Standards-Version: 3.8.4
 DM-Upload-Allowed: yes
 Homepage: http://konversation.kde.org/
@@ -12,8 +12,8 @@
 Package: konversation-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${python3:Depends}
-Replaces: konversation-kde3 (<< 4:14.0.0~), konversation-trinity (<< 4:14.0.0~)
-Breaks: konversation-kde3 (<< 4:14.0.0~), konversation-trinity (<< 4:14.0.0~)
+Replaces: konversation-trinity (<< 4:14.0.0~)
+Breaks: konversation-trinity (<< 4:14.0.0~)
 Recommends: python3-all, ruby
 Suggests: libsoap-lite-perl
 Description: user friendly Internet Relay Chat (IRC) client for TDE [Trinity]
@@ -37,8 +37,8 @@
 Package: konversation-trinity-dbg
 Architecture: any
 Priority: extra
-Replaces: konversation-kde3-dbg (<< 4:14.0.0~), konversation-trinity-dbg (<< 4:14.0.0~)
-Breaks: konversation-kde3-dbg (<< 4:14.0.0~), konversation-trinity-dbg (<< 4:14.0.0~)
+Replaces: konversation-trinity-dbg (<< 4:14.0.0~)
+Breaks: konversation-trinity-dbg (<< 4:14.0.0~)
 Depends: konversation-trinity (= ${binary:Version})
 Recommends: tdelibs-trinity-dbg
 Description: debugging symbols for konversation

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_DH_STRIP_ARGS := --dbg-package=konversation-trinity-dbg
DEB_INSTALL_DOCS_ALL = 

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON"

binary-install/konversation-trinity::
	dh_python3 -p $(cdbs_curpkg) --shebang=/usr/bin/python3 /opt/trinity/share/apps/konversation/scripts

### Extra file installation
install/konversation-trinity::
	install -D -m 644 konversation/scripts/README \
	  debian/konversation-trinity/opt/trinity/share/doc/konversation/README.scripts

## konversation-trinity 14.1.6~pre1

=== debian/changelog ===
konversation-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 840eac78f920e2124a6297e13e997067fe7bcd7e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#konversation

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 10 Nov 2025 22:36:59 +0100

## konversation-trinity 14.1.6~pre2

=== debian/changelog ===
konversation-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 7caf25b550cda4b4058727c68772801c0a70e455
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#konversation

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:42:16 +0100

## konversation-trinity 14.1.6~pre3

=== debian/changelog ===
konversation-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 5750e246352516ace6af5045208b50e8178930ff
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#konversation

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jan 2026 22:32:11 +0100

## konversation-trinity 14.2.0~pre47

=== debian/changelog ===
konversation-trinity (4:14.2.0~pre47-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for 601beaf71dd66fa5065cd407cfae3a432a06f9de
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#konversation

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## konversation-trinity 14.2.0~pre48

=== konversation/src/blowfish/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/konversation/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### blowfish (static) #########################

tde_add_library( blowfish STATIC_PIC AUTOMOC
  SOURCES b64stuff.cpp BlowfishCbc.cpp
    blowfish.cpp mc_blowfish.cpp newblowfish.cpp
    oldblowfish.cpp
)

=== konversation/src/linkaddressbook/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/konversation/src
  ${CMAKE_SOURCE_DIR}/konversation/src/config
  ${CMAKE_BINARY_DIR}/konversation/src/config
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### linkaddressbookui (static) ################

tde_add_library( linkaddressbookui STATIC_PIC AUTOMOC
  SOURCES linkaddressbookui_base.ui
    linkaddressbookui.cpp addressbook_base.cpp
    addressbook.cpp nicklisttooltip.cpp
    nicksonlinetooltip.cpp kimiface.skel
    addresseeitem.cpp
  DEPENDENCIES konversationconfig-static
)

=== debian/changelog ===
konversation-trinity (4:14.2.0~pre48-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for d1a4f2a60dbf050fc3f15492fe7bac05c9f6353e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#konversation

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 09 Nov 2025 13:16:28 +0100

## konversation-trinity 14.2.0~pre49

=== debian/changelog ===
konversation-trinity (4:14.2.0~pre49-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for c526a47c09a1da3c70a57c5d56c01f931532f71a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#konversation

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:56:25 +0100

## konversation-trinity 14.2.0~pre50

=== debian/changelog ===
konversation-trinity (4:14.2.0~pre50-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 7961c397a5c29e11de9fce05a71b2be9750817f9
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#konversation

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jan 2026 03:51:43 +0100
